import React from 'react';
import { connect } from 'umi';
import ImportDataInfo from '../../components/CommonImportDataEvent/importDataInfo';

function importData({ dispatch, app, content }) {
  const importDataProps = {
    app,
    content,
    dispatch,
    onAddPane: getAddPane, /* 增加标签 */
  };
  function getAddPane(pane) {
    /* 增加标签 */
    dispatch({ type: 'app/addPane', payload: { pane } });
  }
  return (
    <ImportDataInfo {...importDataProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(importData);
